Bug 97641 - Upgrade qpopper to 4.0.9
Summary: Upgrade qpopper to 4.0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Johan van Selst
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-22 20:00 UTC by bc979
Modified: 2006-06-25 20:59 UTC (History)
0 users

See Also:


Attachments
qpopper.ar (40.28 KB, text/plain)
2006-05-22 20:00 UTC, bc979
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bc979 2006-05-22 20:00:39 UTC
	qpopper port is no longer current

Fix: The attached shar file includes the updates for qpopper-4.0.9.
It also includes a patch from 4.1a that enables homedir-misc configuration
item to work properly.  The IPv6 option was removed as those patches do
not integrate into the new version.
How-To-Repeat: 	<>
Comment 1 Volker Stolz freebsd_committer 2006-05-29 11:52:47 UTC
State Changed
From-To: open->feedback

Please submit updates in "unified diff" format! 
You'll find instructions in the Porters Handbook. Then please submit a followup to this PR.
Comment 2 bc979 2006-06-01 03:55:03 UTC
diff -ruN qpopper.bak/Makefile qpopper/Makefile
--- qpopper.bak/Makefile        Wed May 10 15:36:59 2006
+++ qpopper/Makefile    Mon May 22 11:18:19 2006
@@ -2,20 +2,21 @@
# Date created:                1 April 1995
# Whom:                        pst
#
-# $FreeBSD: ports/mail/qpopper/Makefile,v 1.90 2006/05/10 22:36:59  
edwin Exp $
+# $FreeBSD: ports/mail/qpopper/Makefile,v 1.89 2005/11/15 06:50:03  
ade Exp $
#
PORTNAME=      qpopper
-PORTVERSION=   4.0.8
+PORTVERSION=   4.0.9
CATEGORIES=    mail ipv6
MASTER_SITES=  ftp://ftp.qualcomm.com/eudora/servers/unix/popper/ \
                 http://core.ring.gr.jp/archives/net/mail/qpopper/
DISTNAME=      ${PORTNAME}${PORTVERSION}
-MAINTAINER=    ports@FreeBSD.org
+MAINTAINER=    bc979@lafn.org
COMMENT=       Berkeley POP 3 server (now maintained by Qualcomm)
USE_AUTOTOOLS= autoconf:259
+USE_REINPLACE= yes
USE_OPENSSL=   yes
CONFIGURE_ENV= LIBS="-lcrypt -lmd -lutil -L${LOCALBASE}/lib" \
                 OS_DEFS="-DSETPROCTITLE ${OS_DEFS}"
@@ -46,7 +47,6 @@
                 APOP            "build with APOP" on \
                 DOCUMENTATION   "install pdf documentation" off \
                 DRAC            "build with Dynamic Relay  
Authorization" off \
-               IPV6            "build with IPv6 support" on \
                 FULL_POPD_DEBUG "build with more verbose debugging"  
off \
                 PAM             "build with PAM authentication" off \
                 POPPASSD        "build the poppassd daemon" off \
@@ -63,11 +63,11 @@
WITHOUT_IPV6=  yes
.endif
-.if !defined(WITHOUT_IPV6)
-PATCH_SITES=   http://www.imasy.or.jp/~ume/ipv6/
-PATCHFILES=    qpopper4.0.8-ipv6-20050515.diff.gz
-PATCH_DIST_STRIP=      -p1
-.endif
+# .if !defined(WITHOUT_IPV6)
+# PATCH_SITES= http://www.imasy.or.jp/~ume/ipv6/
+# PATCHFILES=  qpopper4.0.8-ipv6-20050515.diff.gz
+# PATCH_DIST_STRIP=    -p1
+# .endif
.if defined(WITHOUT_APOP)
QPOPAUTH=      "@comment "
diff -ruN qpopper.bak/distinfo qpopper/distinfo
--- qpopper.bak/distinfo        Fri Nov 25 07:30:55 2005
+++ qpopper/distinfo    Wed May 31 19:46:14 2006
@@ -1,6 +1,3 @@
-MD5 (qpopper4.0.8.tar.gz) = 8dd2d0c72bd3821eac8c52b9edb3f422
-SHA256 (qpopper4.0.8.tar.gz) =  
2a166d70ab42bbe5a605707f0bf0416052df15a3c88e090f
cb9ad7ffe07714f9
-SIZE (qpopper4.0.8.tar.gz) = 2766902
-MD5 (qpopper4.0.8-ipv6-20050515.diff.gz) =  
ece052733db5b780fa76ce6e5bc57719
-SHA256 (qpopper4.0.8-ipv6-20050515.diff.gz) =  
b45b671fb1e11d9285d5195ca6e5b2358
c171176970287045da50b0632ab9c94
-SIZE (qpopper4.0.8-ipv6-20050515.diff.gz) = 11479
+MD5 (qpopper4.0.9.tar.gz) = de2cd15f95cfd00d0d080fd16287acad
+SHA256 (qpopper4.0.9.tar.gz) =  
c98830ba61c20c38d64c2c2e84fe7f21642b25cfc15f6257
f4cad474d01d4c5d
+SIZE (qpopper4.0.9.tar.gz) = 2767261
Binary files qpopper.bak/files/.DS_Store and qpopper/files/.DS_Store  
differ
Binary files qpopper.bak/files/._.DS_Store and qpopper/ 
files/._.DS_Store differ
diff -ruN qpopper.bak/files/patch-as qpopper/files/patch-as
--- qpopper.bak/files/patch-as  Wed Dec 31 16:00:00 1969
+++ qpopper/files/patch-as      Sat May 13 17:42:51 2006
@@ -0,0 +1,26 @@
+--- popper/genpath.c.orig      Thu Mar  9 14:32:37 2006
++++ popper/genpath.c           Sat May 13 17:40:25 2006
+@@ -133,7 +133,10 @@
+             break;
+
+         case GNPH_POP:    /* .pop file  */
+-            len1 = strlcpy ( pszDrop, p->pCfg_temp_dir, iDropLen );
++          if (p->bHome_dir_misc == TRUE)
++              len1 = strlcpy (pszDrop, pw->pw_dir,    iDropLen );
++          else
++              len1 = strlcpy (pszDrop, p->pCfg_temp_dir, iDropLen );
+             len2 = strlcat ( pszDrop, "/",              iDropLen );
+             break;
+
+@@ -143,7 +146,10 @@
+             break;
+
+         case GNPH_CACHE:   /* .cache file  */
+-            len1 = strlcpy ( pszDrop, p->pCfg_cache_dir, iDropLen );
++          if (p->bHome_dir_misc == TRUE)
++              len1 = strlcpy (pszDrop, pw->pw_dir,    iDropLen );
++          else
++              len1 = strlcpy (pszDrop, p->pCfg_cache_dir, iDropLen );
+             len2 = strlcat ( pszDrop, "/",               iDropLen );
+             break;
+
diff -ruN qpopper.bak/pkg-descr qpopper/pkg-descr
--- qpopper.bak/pkg-descr       Mon May  9 14:36:02 2005
+++ qpopper/pkg-descr   Sat May 13 18:52:19 2006
@@ -1,5 +1,7 @@
This is a POP 3 server useful for dealing with remote mail reader  
clients
-such as Eudora.
+such as Eudora.  One of the 4.1a2 patches has been included so that
+home-dir-misc actually works.  The option and patch for IPv6 have  
been removed
+as it they are not up to date for 4.0.9.
Don't forget to edit /etc/inetd.conf to enable the server after  
installation.
Comment 3 Johan van Selst freebsd_committer 2006-06-22 16:36:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->johans

I'll take it.
Comment 4 Johan van Selst freebsd_committer 2006-06-25 20:59:04 UTC
State Changed
From-To: feedback->closed

Committed and assigned maintainership. Thanks. 
It would be nice if you could try to get IPv6 working as well.